var $cap;
var $id_cap;

$('#formAvaliacaoDono').submit(function(e){	
    e.stopPropagation();
    
    
    form  = getForm(this);
    
    form.push({"name": 'origem_captura', "value": 'avaliacao'});
    
    linkAncor = "#section-avaliacao";
    loadButton($('#formAvaliacaoDono button.btn-primary'));
	
	$.ajax({
		url: base_url+"comdono/ajax/captura_ajax/pre_cadastro",
		dataType: 'json',
		type: 'POST',
		data: form,
		success: function(retorno)
		{		
			if (retorno.valid === true)
			{
			    cap = $cap = retorno.cap;
			    
			    $id_cap = cap.id_captura;
			    
			    $("input[name='bairro']").val(cap.bairro);
                $("input[name='cep']").val(cap.cep);
                $("input[name='cidade']").val(cap.cidade);
                $("input[name='endereco']").val(cap.endereco);
                $("input[name='estado']").val(cap.estado);
			    
			    loadButton(null,false);
			    //$("#form-contato")[0].reset();
			    /*$('#form-contato input[name=nome]').val("");
			    $('#form-contato input[name=email]').val("");
			    $('#form-contato input[name=cep]').val("");*/
			    
    	        //$('.content_result').show();
    	        startCountdown();
    	        $('#formAvaliacaoDono .content-form .content_result').html("");
    	        
    	        $(".boxAvalia").show('clip');
    	        $('html, body').animate(
                {
                    scrollTop: $(linkAncor).offset().top
                },1000);
			}
			else
			{ 
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('#formAvaliacaoDono .content-form .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{ 
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('#formAvaliacaoDono .content-form .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
	});
	return false;
});

$('#formAvaliacaoMensagem').submit(function(e){
    e.preventDefault();
    e.stopPropagation();
    
    
    form  = getForm(this);
    form.push({"name": 'origem_captura', "value": 'avaliacao_nao'});
    linkAncor = "#section-avaliacao";
    $.ajax({
		url: base_url+"comdono/ajax/captura_ajax/pre_cadastro",
		dataType: 'json',
		type: 'POST',
		data: form,
		success: function(retorno)
		{		
			if(retorno.valid == true){
			    
    	        $('html, body').animate(
                {
                    scrollTop: $('#info').offset().top
                },1000);
			
			}
			else
			{ 
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('#formAvaliacaoMensagem .content-form .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{ 
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('#formAvaliacaoMensagem .content-form .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
    });
});

//

$('#formAvaliacaoImovel').submit(function(e){
    e.preventDefault();
    e.stopPropagation();
    
    
    form  = getForm(this);
    form.push({"name": 'id_captura', "value": $id_cap});
    linkAncor = "#section-avaliacao";
    $.ajax({
		url: base_url+"comdono/ajax/captura_ajax/atualiza_captura",
		dataType: 'json',
		type: 'POST',
		data: form,
		success: function(retorno)
		{		
			if(retorno.valid == true){
    	        document.location.href = retorno.redirect;
			}
			else
			{ 
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('#formAvaliacaoImovel .content-form .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{ 
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('#formAvaliacaoImovel .content-form .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
    });
});


$('.btnSim').click(function() {
    $("h1").text('Ótimo! Fico Feliz');
    $(".container-banner").css('background-image', 'url(https://as2.ftcdn.net/jpg/01/24/62/83/500_F_124628363_lg0qyuNxMuzL2QTKW6dnQJLUZgop3aef.jpg)');
    $(".etp1").hide();
    $(".etp2").show();
    $(".box-escolha").hide();
    $(".content-estimar").show('clip');
    $(".content-mensagem").hide();
})

$('.btnNao').click(function() {
    $(".box-escolha").hide();
    $(".content-mensagem").show('clip');
})

$('.btnNaoSugestao').click(function(e) {
    e.preventDefault();
    
    linkAncor = "#info";
    
    $(".content-mensagem").hide();
    $(".box-escolha").show('clip');
    
    $('html, body').animate(
    {
        scrollTop: $(linkAncor).offset().top
    },1000);
});

 
/*$('.btnEstimar').click(function(e) {
    e.preventDefault();
    
    linkAncor = "#section-avaliacao";
    
    $(".boxAvalia").show('clip');

    $('html, body').animate(
    {
        scrollTop: $(linkAncor).offset().top
    },1000);
})*/

$('.btnSimEspecialista').click(function() {
    
    //alert("alert")
    
    $('.open-modal-avaliacao-especialista').modal('show');
})

var tempo = new Number();
// Tempo em segundos
tempo = 120;

function startCountdown(){

	// Se o tempo não for zerado
	if((tempo - 1) >= 0){

		// Pega a parte inteira dos minutos
		var min = parseInt(tempo/60);
		// Calcula os segundos restantes
		var seg = tempo%60;

		// Formata o número menor que dez, ex: 08, 07, ...
		if(min < 10){
			min = "0"+min;
			min = min.substr(0, 2);
		}
		if(seg <=9){
			seg = "0"+seg;
		}

		// Cria a variável para formatar no estilo hora/cronômetro
		horaImprimivel = '00:' + min + ':' + seg;
		//JQuery pra setar o valor
		$("#minutos").html(horaImprimivel);

		// Define que a função será executada novamente em 1000ms = 1 segundo
		setTimeout('startCountdown()',1000);

		// diminui o tempo
		tempo--;

	// Quando o contador chegar a zero faz esta ação
	} else {
		//window.open('../controllers/logout.php', '_self');
		$("#minutos").parent().hide();
	}

}

// Chama a função ao carregar a tela


/*sec = 120;
counter = document.getElementById('minutos');
counter.innerText = sec;
i = setInterval(function(){
	--sec;
	
	if (sec === 0){
		clearInterval(i);
	}
	counter.innerText=sec;
	},1000);*/

function getForm(form)
{
    
    data = [];
    var nameRadio = [];
   
    //var data = $("#form-imovel").find('input,textarea').serializeArray();
    $(form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    $(form).find('textarea').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $(form).find('input[type=radio]').each(function(key,value){
        if(nameRadio[this.name] == undefined)
            nameRadio[this.name] = '';
        if($(this).is(':checked'))
            nameRadio[this.name] = this.value;
    });
    
    for(var name in nameRadio){
        data.push({"name": name, "value": nameRadio[name]});
    };
    
    $(form).find('select option:selected').each(function(key,value)    {
        if(this.parentElement.localName == 'select')
            data.push({"name": this.parentElement.name, "value": this.value});
            
        if(this.parentElement.parentElement.localName == 'select')
            data.push({"name": this.parentElement.parentElement.name, "value": this.value});
    });
    
    $(form).find('input[type=checkbox]:checked').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $(form).find('input[type=checkbox]:not(:checked)').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": ""});
    });
    
    return data;
}